﻿@using System.Reflection
@using System.Security.AccessControl
@using Microsoft.EntityFrameworkCore.Metadata.Internal
@model TPLab2.Models.Computer?
<h2>Редактирование компьютера</h2>

<form asp-action="Update" asp-controller="Home" asp-route-id="@Model.Id">
    
    <p>
        <label asp-for="Cpu">Cpu</label><br>
        <input type="text" asp-for="Cpu"/>
    </p>
    
    <p>
        <label asp-for="Monitor">Monitor</label><br>
        <input type="text" asp-for="Monitor"/>
    </p>
    
    <p>
        <label asp-for="Motherboard">Motherboard</label><br>
        <input type="text" asp-for="Motherboard"/>
    </p>
    
    <p>
        <label asp-for="Ram">Ram</label><br>
        <input type="text" asp-for="Ram"/>
    </p>
    
    <p>
        <label asp-for="CpuCooler">CpuCooler</label><br>
        <input type="text" asp-for="CpuCooler"/>
    </p>
    
    <p>
        <label asp-for="GraphicCard">GraphicCard</label><br>
        <input type="text" asp-for="GraphicCard"/>
    </p>
    
    <p>
        <label asp-for="HardDrive">HardDrive</label><br>
        <input type="text" asp-for="HardDrive"/>
    </p>
    
    <p>
    <label asp-for="PowerSupplyUnit">PowerSupplyUnit</label><br>
    <input type="text" asp-for="PowerSupplyUnit"/>
    </p>
    
    <p>
        <input type="submit" value="Save" />
    </p>
</form>
